Activities
Get transaction activities
Get a paginated list of transaction activities with decoded function call information. Supports filtering by sender address and block range. Note: from_block can only be used together with sender_address; providing from_block without sender_address will return a 400 error.
GET
/
tx-activity
Get transaction activities
curl --request GET \
--url https://public-api.voyager.online/beta/tx-activity \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/tx-activity"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/tx-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/tx-activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/tx-activity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/tx-activity")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/tx-activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"block_hash": "0x61a4a7b548fde072087b1544d9307a2e00fdd604218fcb1c579468192bffe86",
"block_number": 192179,
"hash": "0x21bd605123b087472e0a3217f622b864e46c8caadd5f5ac4899520e641efa60",
"index": 0,
"l1_transaction_hash": null,
"type": "INVOKE",
"class_hash": "0x01a736d6ed154502257f02b1ccdf4d9d1089f80811cd6acad48e6b6a9d1f2003",
"contract_address": "0x02dc3f265d7e99089460a98721b1dec131147402b6ce0a64487238f96872b649",
"sender_address": "0x02dc3f265d7e99089460a98721b1dec131147402b6ce0a64487238f96872b649",
"timestamp": 1726677511,
"status": "Accepted on L2",
"execution_status": "Succeeded",
"finality_status": "Accepted on L2",
"revert_error": null,
"entry_point_selector": "0x15d40a3d6ca2ac30f4031e42be28da9b056fef9bb7357ac5e85627ee876e5ad",
"max_fee": "0x2386f26fc10000",
"actual_fee": "0x2c7c67f30f79",
"actual_fee_unit": "ETH",
"gas_price_in_wei": "0x3b9aca00",
"gas_price_in_fri": null,
"version": "0x1",
"nonce": "0x5",
"constructor_calldata": null,
"calldata": [
"0x1",
"0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"0x83afd3f4caedc6eebf44246fe54e38c95e3179a5ec9ea81740eca5b482d12e"
],
"calls": [
{
"contract_address": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"class_hash": "0x048624e084dc68d82076582219c7ed8cb0910c01746cca3cd72a28ecfe07e42d",
"entrypoint_type": "EXTERNAL",
"entrypoint": "transfer",
"selector": "0x83afd3f4caedc6eebf44246fe54e38c95e3179a5ec9ea81740eca5b482d12e",
"calldata": [
"0x1176a1bd84444c89232ec27754698e5d2e7e1a7f1539f12027f28b23ec9f3d8",
"0x2c7c67f30f79",
"0x0"
],
"call_type": "CALL",
"inputs": {
"recipient": "0x1176a1bd84444c89232ec27754698e5d2e7e1a7f1539f12027f28b23ec9f3d8",
"amount": {
"low": "48912831549305",
"high": "0"
}
},
"outputs": {
"0": true
}
}
],
"partial_calls_parsing": false,
"sender_alias": null,
"contract_alias": null,
"class_alias": "Account"
}
],
"lastPage": 1000
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Query Parameters
Page number. Defaults to 1.
Number of items per page. Available options: 10, 25, 50, 100.
Start of the block range (inclusive). Requires sender_address to be provided.
Sender wallet address (0x-prefixed hex).
Sort direction: ascending or descending. Defaults to ascending.
Available options:
asc, desc ⌘I
Get transaction activities
curl --request GET \
--url https://public-api.voyager.online/beta/tx-activity \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/tx-activity"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/tx-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/tx-activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/tx-activity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/tx-activity")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/tx-activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"block_hash": "0x61a4a7b548fde072087b1544d9307a2e00fdd604218fcb1c579468192bffe86",
"block_number": 192179,
"hash": "0x21bd605123b087472e0a3217f622b864e46c8caadd5f5ac4899520e641efa60",
"index": 0,
"l1_transaction_hash": null,
"type": "INVOKE",
"class_hash": "0x01a736d6ed154502257f02b1ccdf4d9d1089f80811cd6acad48e6b6a9d1f2003",
"contract_address": "0x02dc3f265d7e99089460a98721b1dec131147402b6ce0a64487238f96872b649",
"sender_address": "0x02dc3f265d7e99089460a98721b1dec131147402b6ce0a64487238f96872b649",
"timestamp": 1726677511,
"status": "Accepted on L2",
"execution_status": "Succeeded",
"finality_status": "Accepted on L2",
"revert_error": null,
"entry_point_selector": "0x15d40a3d6ca2ac30f4031e42be28da9b056fef9bb7357ac5e85627ee876e5ad",
"max_fee": "0x2386f26fc10000",
"actual_fee": "0x2c7c67f30f79",
"actual_fee_unit": "ETH",
"gas_price_in_wei": "0x3b9aca00",
"gas_price_in_fri": null,
"version": "0x1",
"nonce": "0x5",
"constructor_calldata": null,
"calldata": [
"0x1",
"0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"0x83afd3f4caedc6eebf44246fe54e38c95e3179a5ec9ea81740eca5b482d12e"
],
"calls": [
{
"contract_address": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"class_hash": "0x048624e084dc68d82076582219c7ed8cb0910c01746cca3cd72a28ecfe07e42d",
"entrypoint_type": "EXTERNAL",
"entrypoint": "transfer",
"selector": "0x83afd3f4caedc6eebf44246fe54e38c95e3179a5ec9ea81740eca5b482d12e",
"calldata": [
"0x1176a1bd84444c89232ec27754698e5d2e7e1a7f1539f12027f28b23ec9f3d8",
"0x2c7c67f30f79",
"0x0"
],
"call_type": "CALL",
"inputs": {
"recipient": "0x1176a1bd84444c89232ec27754698e5d2e7e1a7f1539f12027f28b23ec9f3d8",
"amount": {
"low": "48912831549305",
"high": "0"
}
},
"outputs": {
"0": true
}
}
],
"partial_calls_parsing": false,
"sender_alias": null,
"contract_alias": null,
"class_alias": "Account"
}
],
"lastPage": 1000
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}